Bug 201792 - CVE-2006-3747 Apache Mod_Rewrite Off-By-One Buffer Overflow
CVE-2006-3747 Apache Mod_Rewrite Off-By-One Buffer Overflow
Status: CLOSED CANTFIX
Product: Fedora Legacy
Classification: Retired
Component: apache (Show other bugs)
fc3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://www.kb.cert.org/vuls/id/395412
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-08 16:38 EDT by John Dalbec
Modified: 2007-04-18 13:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 15:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dalbec 2006-08-08 16:38:34 EDT
06.31.33 CVE: CVE-2006-3747
Platform: Cross Platform
Title: Apache Mod_Rewrite Off-By-One Buffer Overflow
Description: Apache's mod_rewrite is a rule-based rewriting engine
which rewrites requested URLs for the Apache web server. It is prone
to a buffer overflow condition that presents itself on a system with
the active configuration "RewriteEngine on". Versions 2.0.53-55 and
prior to 1.3.35 are reported as vulnerable.
Ref: http://www.kb.cert.org/vuls/id/395412
Comment 1 Matthew Miller 2006-10-19 13:47:40 EDT
This was fixed for FC4, but appears still an issue for FC3.
Comment 2 Matthew Miller 2006-10-19 13:49:35 EDT
However, RHEL bug #200219 says RHEL3 and RHEL4 are not actually vulnerable. That
is almost certainly the case for FC3 as well. Can someone confirm?
Comment 3 Matthew Miller 2007-04-10 15:17:03 EDT
Fedora Core 3 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.

Note You need to log in before you can comment on or make changes to this bug.